Loading...
Searching...
No Matches
Dune::Functions::Concept::DifferentiableFunction< Range(Domain), DerivativeTraits > Struct Template Reference
Functions » Function concepts

Concept for a differentiable function mapping `Domain` to `Range`. More...

`#include <dune/functions/common/functionconcepts.hh>`

Inheritance diagram for Dune::Functions::Concept::DifferentiableFunction< Range(Domain), DerivativeTraits >:

## Public Types

using | DerivativeSignature = typename SignatureTraits<Range(Domain)>::template DerivativeSignature<DerivativeTraits>

## Public Member Functions

template<class F>
auto | require (F &&f) -> decltype(derivative(f), requireConcept< Function< DerivativeSignature > >(derivative(f)))

## Detailed Description

template<class Range, class Domain, template< class > class DerivativeTraits>
struct Dune::Functions::Concept::DifferentiableFunction< Range(Domain), DerivativeTraits >

Concept for a differentiable function mapping `Domain` to `Range`.

The derivative range is derived from the provided `DerivativeTraits`

Template Parameters

  Domain | Domain type
  Range | Range type
  DerivativeTraits | Traits class for computation of derivative range

## Member Typedef Documentation

## DerivativeSignature

template<class Range, class Domain, template< class > class DerivativeTraits>

using Dune::Functions::Concept::DifferentiableFunction< Range(Domain), DerivativeTraits >::DerivativeSignature = typename SignatureTraits<Range(Domain)>::template DerivativeSignature<DerivativeTraits>

## Member Function Documentation

## require()

template<class Range, class Domain, template< class > class DerivativeTraits>
template<class F>

auto Dune::Functions::Concept::DifferentiableFunction< Range(Domain), DerivativeTraits >::require | ( | F && | f | ) | ->decltype(derivative(f), requireConcept< Function< DerivativeSignature > >(derivative(f)))

The documentation for this struct was generated from the following file:

- functionconcepts.hh